Bug 175207 - [RHEL4 U3] A whole device cannot be configured for diskdump.
[RHEL4 U3] A whole device cannot be configured for diskdump.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira Imamura
Brian Brock
: 175192 (view as bug list)
Depends On:
Blocks: 176344 211071
  Show dependency treegraph
Reported: 2005-12-07 14:10 EST by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-03 14:41:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira Imamura 2005-12-07 14:10:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Whole device (i.e. a disk device that is not partitioned) cannot be registered as a diskdump-dedicated device.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Edit /etc/sysconfig/diskdump to register whole device (e.g. /dev/sda or /dev/sdb) as a dump device.
2. Run "service diskdump restart"
3. Run "service diskdump status"

Actual Results:  A message "diskdump not enabled" is shown.
diskdump service is not ready to dump memory.

Expected Results:  A message "diskdump enabled" is shown.
diskdump service is ready to dump memory.

Additional info:
Comment 1 Linda Wang 2005-12-10 11:14:00 EST
*** Bug 175192 has been marked as a duplicate of this bug. ***
Comment 2 Akira Imamura 2005-12-12 12:11:03 EST
This is not a regression but just a bug. So I change the summary.
A whole device cannot be configured for diksdump on the earliest
kernel-2.6.9-x. However, there is a workaround for this problem.
A partitioned disk device can be used as well as a whole device.
diskdump's users only partition a disk device with fdisk and
the like even if they need to use a whole device as a dump device.

Comment 3 Akira Imamura 2005-12-13 14:03:08 EST
I plan to include this fix in the next release because
this problem has an impact upon other little, and also
requires a lot of testing. However, I need to update
the README file that is included in diskdumputils so that
users can know that a whole device cannot be configured
for diskdump on RHEL4.

Comment 5 Bob Johnson 2006-04-11 13:10:34 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 8 RHEL Product and Program Management 2007-01-03 14:41:19 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.